Method: namespaces.instances.list

List Instances. Results are sorted by creation time, descending.

HTTP request

GET https://run.googleapis.com/apis/run.googleapis.com/v1/{parent}/instances

Path parameters

Parameters
parent

string

Required. The parent from where the resources should be listed. In Cloud Run, it may be one of the following:

  • {project_id_or_number}
  • namespaces/{project_id_or_number}
  • namespaces/{project_id_or_number}/instances
  • projects/{project_id_or_number}/locations/{region}
  • projects/{project_id_or_number}/regions/{region}

Parent resource namespace. It takes the form namespaces/{namespace}.

Authorization requires the following IAM permission on the specified resource parent:

  • run.instances.list

Query parameters

Parameters
limit

integer

Optional. The maximum number of records that should be returned.

includeUninitialized

boolean

Optional. Not supported by Cloud Run.

fieldSelector

string

Optional. Not supported by Cloud Run.

labelSelector

string

Optional. Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.

resourceVersion

string

Optional. Not supported by Cloud Run.

watch

boolean

Optional. Not supported by Cloud Run.

continue

string

Optional. Optional encoded string to continue paging.

Request body

The request body must be empty.

Response body

ListInstancesResponse is a list of Instances resources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "items": [
    {
      object (Instance)
    }
  ],
  "apiVersion": string,
  "kind": string,
  "metadata": {
    object (ListMeta)
  },
  "unreachable": [
    string
  ]
}
Fields
items[]

object (Instance)

List of Instances.

apiVersion

string

The API version for this call such as "run.googleapis.com/v1".

kind

string

The kind of this resource, in this case "InstancesList".

metadata

object (ListMeta)

Metadata associated with this Instances list.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.